.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Opening AutoCad 2008 W/ VB.Net

1 REPLY 1
Reply
Message 1 of 2
Anonymous
334 Views, 1 Reply

Opening AutoCad 2008 W/ VB.Net

Hello, I have a VB.NET application that automates the creation of some drawings. Now I am trying to upgrade to AutoCad 2008 and when my program tries to open AutoCad. I get the following error.

"An unhandled exception of type
'System.Runtime.InteropServices.COMException' occurred in ...."

Additional information: COM object with CLSID{1365A45F-0C8F-4806-A26A-6B22AD37EC66} is either not valid or not registered"

The calling statement for Autocad versions previous to 2006 is: CreateObject("AcadApplication")

The calling statement for AutoCad 2006 is:
oMyAcadApp = New Autodesk.AutoCAD.Interop.AcadApplication

What is the calling statement for AutoCad2008?

Thank you for your help.
1 REPLY 1
Message 2 of 2
Anonymous
in reply to: Anonymous

Try the following:

Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common
Public acadApp As AcadApplication
acadApp = CreateObject("AutoCAD.Application.17")

Ken

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost